#ifndef RANDOMGEN_H
#define RANDOMGEN_H

class CRandomGen
{
public:
    CRandomGen(void);
	CRandomGen(unsigned int seed);
    ~CRandomGen(void);

	float nextDouble(float minValue, float maxValue);  // next uniform random float

	long nextInt(long minValue, long maxValue);  // next uniform random integer

	// mean = 0.0, var = 1.0,  minValue = -1.0, maxValue = 1.0
	void nextNormal(float& v1, float& v2);
	void nextNormal(float mean, float var,
	                float minValue, float maxValue,
	                float& v1, float& v2);

	float nextZipf(float minValue, float maxValue, float z);
};

#endif
